<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/swl"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        <androidx.coordinatorlayout.widget.CoordinatorLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >

            <com.google.android.material.appbar.AppBarLayout
                    android:id="@+id/app_bar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/Theme.AppCompat.Light"
                    app:layout_behavior="com.yidianling.dynamic.topic.topicDetail.RecyclerViewAppBarBehavior">

                <com.google.android.material.appbar.CollapsingToolbarLayout
                        android:id="@+id/collapsingToolbarLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout_scrollFlags="scroll|exitUntilCollapsed">

                    <RelativeLayout
                            android:id="@+id/topic_detail_top_rel"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentStart="true"
                            android:layout_alignParentLeft="true"
                            android:layout_alignParentTop="true"
                            app:layout_collapseMode="parallax">

                        <ImageView
                                android:id="@+id/topic_detail_top_bg_iv"
                                android:layout_width="match_parent"
                                android:layout_height="270dp"
                                android:layout_alignParentTop="true"
                                android:scaleType="centerCrop"
                                app:layout_collapseMode="parallax"
                                app:layout_collapseParallaxMultiplier="0.5" />

                        <LinearLayout
                                android:id="@+id/ll_topic_detail"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="55dp"
                                android:orientation="vertical">

                            <TextView
                                    android:id="@+id/topic_detail_title_tv"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="15dp"
                                    android:layout_marginTop="5dp"
                                    android:layout_marginRight="15dp"
                                    android:layout_marginBottom="10dp"
                                    android:gravity="center_horizontal"
                                    android:text=""
                                    android:textColor="@color/dynamic_white"
                                    android:textSize="22sp"
                                    android:textStyle="bold" />

                            <TextView
                                    android:id="@+id/topic_detail_survey_tv"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="15dp"
                                    android:layout_marginRight="15dp"
                                    android:layout_marginBottom="10dp"
                                    android:gravity="center_horizontal"
                                    android:text=""
                                    android:textColor="@color/dynamic_white"
                                    android:textSize="14sp" />

                            <RelativeLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginBottom="10dp">

                                <TextView
                                        android:id="@+id/topic_detail_visit_num_tv"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerVertical="true"
                                        android:layout_toLeftOf="@+id/topic_detail_visit_zj_tv"
                                        android:drawableLeft="@drawable/dynamic_pageview"
                                        android:drawablePadding="5dp"
                                        android:text=""
                                        android:textColor="@color/dynamic_white" />

                                <TextView
                                        android:id="@+id/topic_detail_visit_zj_tv"
                                        android:layout_width="1dp"
                                        android:layout_height="15dp"
                                        android:layout_centerInParent="true"
                                        android:layout_marginLeft="7dp"
                                        android:layout_marginRight="7dp" />

                                <TextView
                                        android:id="@+id/topic_detail_trend_num_tv"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerVertical="true"
                                        android:layout_toRightOf="@+id/topic_detail_visit_zj_tv"
                                        android:drawableLeft="@drawable/dynamic_post"
                                        android:drawablePadding="5dp"
                                        android:text=""
                                        android:textColor="@color/dynamic_white" />

                            </RelativeLayout>

                            <TextView
                                    android:id="@+id/topic_detail_focus_tv"
                                    android:layout_width="100dp"
                                    android:layout_height="30dp"
                                    android:layout_gravity="center_horizontal"
                                    android:background="@drawable/dynamic_focus_topic_detail_bg"
                                    android:gravity="center"
                                    android:text=""
                                    android:textColor="@color/platform_but_text_color"
                                    android:textSize="14sp"
                                    android:visibility="gone" />
                        </LinearLayout>

                        <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_below="@+id/ll_topic_detail"
                                android:layout_alignParentBottom="true"
                                android:layout_marginTop="15dp"
                                android:orientation="vertical">

                            <RelativeLayout
                                    android:id="@+id/topic_detail_users_rel"
                                    android:layout_width="match_parent"
                                    android:layout_height="50dp"
                                    android:background="@color/dynamic_white">

                                <ImageView
                                        android:id="@+id/mine_next_iv"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentRight="true"
                                        android:layout_centerVertical="true"
                                        android:layout_marginRight="15dp"
                                        android:src="@drawable/dynamic_mine_next" />

                                <TextView
                                        android:id="@+id/topic_detail_users_num_tv"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerVertical="true"
                                        android:layout_toLeftOf="@+id/mine_next_iv"
                                        android:paddingLeft="15dp"
                                        android:paddingRight="15dp"
                                        android:text=""
                                        android:textColor="@color/platform_main_theme" />

                                <androidx.recyclerview.widget.RecyclerView
                                        android:id="@+id/topic_detail_users_rcv"
                                        android:layout_width="match_parent"
                                        android:layout_height="30dp"
                                        android:layout_alignParentLeft="true"
                                        android:layout_centerVertical="true"
                                        android:layout_marginLeft="10dp"
                                        android:layout_toLeftOf="@+id/topic_detail_users_num_tv"
                                        android:clickable="false"
                                        android:focusable="false" />

                            </RelativeLayout>

                            <View
                                    android:id="@+id/divide_line"
                                    android:layout_width="match_parent"
                                    android:layout_height="5dp"
                                    android:background="@color/dynamic_divide_color" />

                            <androidx.recyclerview.widget.RecyclerView
                                    android:id="@+id/top_trends_rcv"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:background="@color/dynamic_white"
                                    android:clickable="false"
                                    android:focusable="false" />

                        </LinearLayout>

                    </RelativeLayout>

                    <androidx.appcompat.widget.Toolbar
                            android:id="@+id/toolbar"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/platform_action_bar_height"
                            app:layout_collapseMode="pin"
                            app:popupTheme="@style/AppTheme.PopupOverlay">

                        <ImageView
                                android:id="@+id/topic_detail_title_back_iv"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_alignParentLeft="true"
                                android:layout_centerInParent="true"
                                android:paddingRight="30dp"
                                android:src="@drawable/dynamic_titlebar_back2" />

                        <ImageView
                                android:id="@+id/topic_detail_title_top_right_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:layout_gravity="right"
                                android:paddingLeft="15dp"
                                android:paddingTop="15dp"
                                android:paddingRight="15dp"
                                android:paddingBottom="15dp"
                                android:src="@drawable/dynamic_more_green2" />

                    </androidx.appcompat.widget.Toolbar>


                </com.google.android.material.appbar.CollapsingToolbarLayout>

                <LinearLayout
                        android:id="@+id/topic_detail_type_lin"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:background="@drawable/dynamic_layout_border"
                        android:orientation="horizontal">

                    <RelativeLayout
                            android:id="@+id/item_topic_detail_new_rel"
                            android:layout_width="0dp"
                            android:layout_height="49.5dp"
                            android:layout_weight="1">

                        <TextView
                                android:id="@+id/item_topic_detail_new_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:paddingLeft="15dp"
                                android:paddingRight="15dp"
                                android:text="最新"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="18sp" />

                        <View
                                android:id="@+id/item_topic_detail_new_hint_tv"
                                android:layout_width="100dp"
                                android:layout_height="2dp"
                                android:layout_alignParentBottom="true"
                                android:layout_centerHorizontal="true"
                                android:background="@color/platform_main_theme" />
                    </RelativeLayout>

                    <RelativeLayout
                            android:id="@+id/item_topic_detail_hot_rel"
                            android:layout_width="0dp"
                            android:layout_height="49.5dp"
                            android:layout_weight="1">

                        <TextView
                                android:id="@+id/item_topic_detail_hot_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:paddingLeft="15dp"
                                android:paddingRight="15dp"
                                android:text="推荐"
                                android:textColor="@color/dynamic_text_gray"
                                android:textSize="18sp" />

                        <View
                                android:id="@+id/item_topic_detail_hot_hint_tv"
                                android:layout_width="100dp"
                                android:layout_height="2dp"
                                android:layout_alignParentBottom="true"
                                android:layout_centerHorizontal="true"
                                android:background="@color/dynamic_white" />
                    </RelativeLayout>
                </LinearLayout>


            </com.google.android.material.appbar.AppBarLayout>

            <androidx.viewpager.widget.ViewPager
                    android:id="@+id/topic_detail_vp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_behavior="@string/appbar_scrolling_view_behavior" />

            <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:id="@+id/publish_trend_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|right"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="20dp"
                    android:elevation="3dp"
                    android:src="@drawable/dynamic_newsfeed_new2"
                    app:backgroundTint="@color/platform_main_theme"
                    app:borderWidth="0dp"
                    app:fabSize="normal" />

        </androidx.coordinatorlayout.widget.CoordinatorLayout>


    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <com.ydl.ydlcommon.ui.LogoLoadingView
            android:id="@+id/v_loading"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

</RelativeLayout>
